Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class DataCreationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.ValidationException
oracle.jbo.AttrValException
oracle.jbo.domain.DataCreationException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class DataCreationException
extends AttrValException

Indicates that a Domain object could not be created.

Since:
  JDevloper 3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.AttrValException
`mAttrValue`

Fields inherited from class oracle.jbo.ValidationException
`mRowDefFullName`

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`DataCreationException(java.lang.Class bundleClass, java.lang.String errorCode, java.lang.Object[] params, java.lang.Exception ex)`
`DataCreationException(java.lang.String className, java.lang.Exception ex)`
`DataCreationException(java.lang.String className, java.lang.Object val, java.lang.Exception ex)`
`DataCreationException(java.lang.String className, java.lang.String message, java.lang.Exception ex)`

Method Summary
`void` | `setAttrInfo(int objType, java.lang.String objFullName, java.lang.String attrName, java.lang.Object attrValue)`
`protected void` | `setMappedParameters(ViewObject vo, java.lang.String[] attrNames)`

Methods inherited from class oracle.jbo.AttrValException
`doEntityToVOMapping, getAttributeException, getAttrName, getAttrValue, getBaseAttrName, getEntityKey, getObjName, getObjType, getObjTypeName, getRowKey, init, setObjInfo, setRowDefFullName, setRowKey`

Methods inherited from class oracle.jbo.ValidationException
`getRowDefFullName, hasAttributeException, raise, raise, raise`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataCreationException

    public DataCreationException(java.lang.String className,
                                 java.lang.Object val,
                                 java.lang.Exception ex)

### DataCreationException

    public DataCreationException(java.lang.String className,
                                 java.lang.String message,
                                 java.lang.Exception ex)

### DataCreationException

    public DataCreationException(java.lang.String className,
                                 java.lang.Exception ex)

### DataCreationException

    public DataCreationException(java.lang.Class bundleClass,
                                 java.lang.String errorCode,
                                 java.lang.Object[] params,
                                 java.lang.Exception ex)

Method Detail

### setAttrInfo

    public void setAttrInfo(int objType,
                            java.lang.String objFullName,
                            java.lang.String attrName,
                            java.lang.Object attrValue)

### setMappedParameters

    protected void setMappedParameters(ViewObject vo,
                                       java.lang.String[] attrNames)

  Overrides:
    `setMappedParameters` in class `AttrValException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.